summaryrefslogtreecommitdiffstats
path: root/multimedia/acetoneiso
diff options
context:
space:
mode:
author Edinaldo P. Silva2016-11-27 18:06:36 +0100
committer Willy Sudiarto Raharjo2016-11-27 23:44:22 +0100
commit3501bb89e417d73f043bf0b342a3d018ecd64e49 (patch)
tree3641825aef1fe0a2da47119045b8f34aad5e63fc /multimedia/acetoneiso
parentd83eb80887e28f5a5e2928a06793f05073a0e6a3 (diff)
downloadslackbuilds-3501bb89e417d73f043bf0b342a3d018ecd64e49.tar.gz
multimedia/acetoneiso: Added (CD/DVD image manipulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/acetoneiso')
-rw-r--r--multimedia/acetoneiso/README8
-rw-r--r--multimedia/acetoneiso/acetoneiso3
-rw-r--r--multimedia/acetoneiso/acetoneiso.SlackBuild104
-rw-r--r--multimedia/acetoneiso/acetoneiso.info10
-rw-r--r--multimedia/acetoneiso/doinst.sh13
-rw-r--r--multimedia/acetoneiso/slack-desc19
6 files changed, 157 insertions, 0 deletions
diff --git a/multimedia/acetoneiso/README b/multimedia/acetoneiso/README
new file mode 100644
index 0000000000..8d0e9daf06
--- /dev/null
+++ b/multimedia/acetoneiso/README
@@ -0,0 +1,8 @@
+AcetoneISO (CD/DVD image manipulator for GNU/Linux)
+
+AcetoneISO is a feature-rich and complete software application to
+manage CD/DVD images. AcetoneISO will let You mount typical
+proprietary images formats of the Windows world such as ISO BIN NRG
+MDF IMG and do plenty of other things.
+
+Some features you can see in /usr/doc/$PRGNAM-$VERSION/FEATURES.
diff --git a/multimedia/acetoneiso/acetoneiso b/multimedia/acetoneiso/acetoneiso
new file mode 100644
index 0000000000..f8155df961
--- /dev/null
+++ b/multimedia/acetoneiso/acetoneiso
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/acetoneiso
+exec /usr/share/acetoneiso/acetoneiso
diff --git a/multimedia/acetoneiso/acetoneiso.SlackBuild b/multimedia/acetoneiso/acetoneiso.SlackBuild
new file mode 100644
index 0000000000..c2891be1ae
--- /dev/null
+++ b/multimedia/acetoneiso/acetoneiso.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+#
+# Slackware build script for acetoneiso.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=acetoneiso
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+mv ${PRGNAM}_${VERSION} $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION/$PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd sources
+ sed -i 's#<Phonon/#<phonon/#' erase_cd.h erase_cd.cpp erase_dvd.cpp \
+ burn_iso_2_cd.cpp burn_iso_2_cd.h burn_iso_2_dvd.cpp
+cd ..
+
+qmake
+ sed -i 's|-I/usr/include/QtCore|-I/usr/include/qt4/QtCore -I/usr/include/qt4/KDE|' Makefile
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -d $PKG/usr/{bin,share/{acetoneiso,applications,pixmaps}}
+install -D -m755 $CWD/acetoneiso $PKG/usr/bin/acetoneiso
+install -D -m755 acetoneiso $PKG/usr/share/acetoneiso/acetoneiso
+cp -a {audio,images,locale,manual,ui} $PKG/usr/share/acetoneiso
+install -D -m644 menu/AcetoneISO.desktop $PKG/usr/share/applications/AcetoneISO.desktop
+install -D -m644 images/Acetino2.png $PKG/usr/share/pixmaps/Acetino2.png
+
+DOCS="../AUTHORS ../CHANGELOG ../FEATURES ../LICENSE ../README"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/acetoneiso/acetoneiso.info b/multimedia/acetoneiso/acetoneiso.info
new file mode 100644
index 0000000000..9b8f0dc020
--- /dev/null
+++ b/multimedia/acetoneiso/acetoneiso.info
@@ -0,0 +1,10 @@
+PRGNAM="acetoneiso"
+VERSION="2.3"
+HOMEPAGE="http://sourceforge.net/projects/acetoneiso"
+DOWNLOAD="http://sourceforge.net/projects/acetoneiso/files/AcetoneISO/AcetoneISO%202.3/acetoneiso_2.3.tar.gz"
+MD5SUM="225f7af687016690ff28b9771a1ce179"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg p7zip fuseiso cdrkit"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/multimedia/acetoneiso/doinst.sh b/multimedia/acetoneiso/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/multimedia/acetoneiso/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/acetoneiso/slack-desc b/multimedia/acetoneiso/slack-desc
new file mode 100644
index 0000000000..83767c255b
--- /dev/null
+++ b/multimedia/acetoneiso/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acetoneiso: acetoneiso (CD/DVD image manipulator for GNU/Linux)
+acetoneiso:
+acetoneiso: AcetoneISO is a feature-rich and complete software application to
+acetoneiso: manage CD/DVD images. AcetoneISO will let You mount typical
+acetoneiso: proprietary images formats of the Windows world such as ISO BIN NRG
+acetoneiso: MDF IMG and do plenty of other things.
+acetoneiso:
+acetoneiso: Home page: http://sourceforge.net/projects/acetoneiso
+acetoneiso:
+acetoneiso:
+acetoneiso: